=== src/DebugTools/CMakeLists.txt ===

### TODO: bin/mvmon  bin/MvMonitor


if(METVIEW_QT5)
 QT5_WRAP_CPP(XServ_MOC XServ.h)
 QT5_ADD_RESOURCES(XServ_RES XServ.qrc)
else()
 QT4_WRAP_CPP(XServ_MOC XServ.h)
 QT4_ADD_RESOURCES(XServ_RES XServ.qrc)
endif()


set(xserv_srcs
    XServ.cc XServ.h  ${XServ_MOC} ${XServ_RES}
)


ecbuild_add_executable( TARGET       xserv
                        SOURCES      ${xserv_srcs}
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_QT_INCLUDE_DIRS}
                        LIBS         ${STANDARD_METVIEW_LIBS} ${METVIEW_QT_LIBRARIES}
                    )


if(METVIEW_QT5)
 QT5_WRAP_CPP(MvMonitor_MOC ProcMonitor.h)
 QT5_ADD_RESOURCES(MvMonitor_RES debug.qrc)
else()
 QT4_WRAP_CPP(MvMonitor_MOC ProcMonitor.h)
 QT4_ADD_RESOURCES(MvMonitor_RES debug.qrc)
endif()

#message(STATUS "WRAP_CPP: ${MvMonitor_MOC}")
#message(STATUS "ADD_RES: ${MvMonitor_RES}")


set(MvMonitor_srcs
    MvMainMonitor.cc ProcMonitor.cc MvProcNode.cc MvQProcModel.cc
    MvProcNode.h MvQProcModel.h ${MvMonitor_MOC} ${MvMonitor_RES}
)


ecbuild_add_executable( TARGET       MvMonitor
                        SOURCES      ${MvMonitor_srcs}
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_QT_INCLUDE_DIRS} ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${METVIEW_QT_LIBRARIES} ${STANDARD_METVIEW_LIBS}
                    )
