=== src/MacroEditor/CMakeLists.txt ===

if(METVIEW_QT5)
 QT5_WRAP_CPP      (MacroEd_MOC MvMain.h FindTextDialog.h Highlighter.h MacroEdit.h FunctionListDialog.h mvplaintextedit.h
                   CodeTemplateDialog.h GotoLineDialog.h RunDialog.h TabsDialog.h VerbFunctionHelpDialog.h MacroEdit.h)
 QT5_ADD_RESOURCES (MacroEd_RES MacroEdit.qrc)
 QT5_WRAP_UI       (MacroEd_FORMS_HEADERS CodeTemplateDialog.ui FunctionListDialog.ui VerbFunctionHelpDialog.ui
                   FindTextDialog.ui MacroEdit.ui GotoLineDialog.ui RunDialog.ui TabsDialog.ui)
else()
 QT4_WRAP_CPP      (MacroEd_MOC MvMain.h FindTextDialog.h Highlighter.h MacroEdit.h FunctionListDialog.h mvplaintextedit.h
                   CodeTemplateDialog.h GotoLineDialog.h RunDialog.h TabsDialog.h VerbFunctionHelpDialog.h MacroEdit.h)
 QT4_ADD_RESOURCES (MacroEd_RES MacroEdit.qrc)
 QT4_WRAP_UI       (MacroEd_FORMS_HEADERS CodeTemplateDialog.ui FunctionListDialog.ui VerbFunctionHelpDialog.ui
                   FindTextDialog.ui MacroEdit.ui GotoLineDialog.ui RunDialog.ui TabsDialog.ui)
endif()

set(macroeditor_srcs MvMain.cc
                     Highlighter.cc
                     MacroEdit.cc
                     CodeTemplateDialog.cc
                     EditorTheme.cc
                     FindTextDialog.cc
                     GotoLineDialog.cc
                     RunDialog.cc
                     TabsDialog.cc
                     FunctionListDialog.cc
                     VerbFunctionHelpDialog.cc
                     mvplaintextedit.cc
                     MacroHelper.cc
                     MagMLHelper.cc
                     ShellHelper.cc
                     PlainTextHelper.cc
                     PythonHelper.cc
                     LanguageHelper.cc
                     LanguageHelperFactory.cc
                     VerbFunctionHelp.cc
                     CodeTemplateDialog.h
                     EditorTheme.h
                     FindTextDialog.h
                     FunctionListDialog.h
                     GotoLineDialog.h
                     Highlighter.h
                     LanguageHelper.h
                     LanguageHelperFactory.h
                     MacroEdit.h
                     MacroHelper.h
                     MagMLHelper.h
                     ShellHelper.h
                     MvMain.h
                     PlainTextHelper.h
                     RunDialog.h
                     MacroRunOptions.h
                     TabsDialog.h
                     TabsSettings.h
                     VerbFunctionHelp.h
                     VerbFunctionHelpDialog.h
                     mvplaintextedit.h)

#include_directories( CMAKE_CURRENT_BINARY_DIR . )

ecbuild_add_executable( TARGET       MacroEditor
                        SOURCES      ${MacroEd_FORMS_HEADERS}
                                     ${MacroEd_MOC}
                                     ${MacroEd_RES}
                                     ${macroeditor_srcs}
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
                                     ${METVIEW_STANDARD_INCLUDES} ${X11_INCLUDE_DIR} ${METVIEW_QT_INCLUDE_DIRS}
                        LIBS         ${METVIEW_QT_LIBRARIES} ${STANDARD_METVIEW_LIBS} ${X11_LIBRARIES}
                    )
