=== src/MarsCatalog/CMakeLists.txt ===
if(METVIEW_QT5)
 QT5_WRAP_CPP(MarsCat_MOC MvQMarsBrowser.h MvQMarsCatalog.h)
 QT5_ADD_RESOURCES(MarsCat_RES mars.qrc)
else()
 QT4_WRAP_CPP(MarsCat_MOC MvQMarsBrowser.h MvQMarsCatalog.h)
 QT4_ADD_RESOURCES(MarsCat_RES mars.qrc)
endif()

set(mars_cat_srcs
    MvMain.cc
    MvQMarsBrowser.cc
    MvQMarsCatalog.cc
    json_spirit_reader.cpp
    json_spirit_value.cpp
    json_spirit_writer.cpp
    json_spirit.h
    MvQMarsBrowser.h
    MvQMarsCatalog.h
    json_spirit_reader.h
    json_spirit_value.h
    json_spirit_writer.h)


ecbuild_add_executable( TARGET       MarsCatalogue
                        SOURCES      ${mars_cat_srcs} ${MarsCat_MOC} ${MarsCat_RES}
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES} ${METVIEW_QT_INCLUDE_DIRS}
                        LIBS         ${METVIEW_QT_LIBRARIES} ${STANDARD_METVIEW_LIBS}
                    )

#metview_module_files(ETC_FILES ObjectSpec.MarsCatalog
#                     XPM_FILES MARS_CATALOG.xpm)

# XXX in the future we may need to distribute the WebMars directory as well
