=== src/ObsFilter/CMakeLists.txt ===

ecbuild_add_executable( TARGET       ObsFilter
                        SOURCES      ObsFilter.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${STANDARD_METVIEW_LIBS} ${LIBEMOS_LIBRARIES}
                    )

ecbuild_add_executable( TARGET       CleanFile
                        SOURCES      CleanFile.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${STANDARD_METVIEW_LIBS} ${LIBEMOS_LIBRARIES}
                    )

ecbuild_add_executable( TARGET       BufrPicker
                        SOURCES      BufrPicker.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${STANDARD_METVIEW_LIBS} ${LIBEMOS_LIBRARIES}
                    )


ecbuild_add_executable( TARGET       BufrFilter
                            SOURCES      BufrFilter.cc
                            DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                            INCLUDES     ${METVIEW_STANDARD_INCLUDES} ${METVIEW_QT_INCLUDE_DIRS}
                            LIBS         ${METVIEW_QT_LIBRARIES} ${STANDARD_METVIEW_LIBS} ${LIBEMOS_LIBRARIES}
                          )


metview_module_files(ETC_FILES  ObjectSpec.BufrPicker BufrPickerDef BufrPickerRules)

metview_module_files(ETC_FILES  ObjectSpec.BufrFilter BufrFilterDef BufrFilterRules)
