=== src/PottF/CMakeLists.txt ===

# we need to make sure these come before anything like /usr/incliude so we get the right .mod file
include_directories(BEFORE   ${CMAKE_CURRENT_BINARY_DIR} ${METVIEW_STANDARD_INCLUDES})

ecbuild_add_executable( TARGET       PottF
                        SOURCES      PottF.cc pott.F eqpott.F seqpott.F tlvalid.F pml.F sshm.F
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        #INCLUDES     ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${METVIEW_MACRO_API_F90_LIB} ${METVIEW_MACRO_API_C_LIB} ${STANDARD_METVIEW_LIBS} ${GRIB_API_LIBRARIES}
                    )

metview_module_files(ETC_FILES  ObjectSpec.PottF PottFDef PottFRules)
