=== debian/changelog ===
metview (5.3.0-3ubuntu2) eoan; urgency=medium

  * Fixup another issue in includes
  * Cherry-pick upstream fix for build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Aug 2019 17:13:08 +0200

metview (5.3.0-3) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Use ACCEPT_USE_OF_DEPRECATED_PROJ_API_H to build with Proj6.
    Closes: #931945
  * Now use g++14 std to compile
  * Enforce use of c++14 std when compiling in d/rules
  * Use debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Jul 2019 15:30:29 +0100

metview (5.3.0-2) unstable; urgency=medium

  * Check correct $(MMODDIR) for grib_api.mod. Closes: #923453
  * Standards-Version: 4.3.0
  * Link against libeckit, no longer automatically linked by-odb-api.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Feb 2019 15:32:29 +0000

metview (5.3.0-1) unstable; urgency=medium

  * New upstream release
  * Add -I $(FMODDIR) to look for Fortran mod files

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Dec 2018 10:29:51 +0000
